
Redmine - Feature #3861

Provide 95% browser compatability for the in-built graphs (and extension graphs) using svgweb

2009-09-13 23:51 - ciaran jessup

Status: Closed Start date: 2009-09-13

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Using the svgweb project (http://code.google.com/p/svgweb/) , possibly using the rails-plugin (http://github.com/imanel/svg_web ).  It

would be possible (and very simple) to update redmine to support the vast majority of browsers rather than now where these graphs

only work in a limited number of situations (notably not in IE which possibly limits the uptake of redmine in the corporate network )

I've written some test patches up on github, and will provide a trunk patch shortly.  Any thoughts on the feasability of getting this in

the trunk ?

History

#1 - 2009-09-14 23:40 - ciaran jessup

Theres a fork of Eric's git repo over on http://github.com/ciaranj/redmine (the svgweb_test branch) that integrates the svgweb project with redmine

and updates the built in repository graphs to use the project.

This fork allows the charts to be viewable in nearly all browsers, definately worth a shot imho :)

Any thoughts/comments ?

#2 - 2009-09-15 15:50 - Babar O'Cap

+1

#3 - 2009-09-28 07:40 - Brad Neuberg

Keep me in the loop as you work on this, as I work on the SVG Web library. In a few weeks we should also have another release that should speed

things up. How did your prototype go of integrating Redmine with SVG Web go so far?

#4 - 2009-09-28 07:59 - ciaran jessup

Brad Neuberg wrote:

Keep me in the loop as you work on this, as I work on the SVG Web library. In a few weeks we should also have another release that should

speed things up. How did your prototype go of integrating Redmine with SVG Web go so far?

 It went absolutely fine, in some way or the other I was able to convert all the graphs in the product (including plugin graphs). The only change required

was to stop the generated svg (SVGGraph) using css classes, and forcing them to use inline styles.

I've submitted my fork to eric davis, fingers crossed he'll be able to convince JPL :)

#5 - 2009-10-01 00:09 - Eric Davis

- Category set to UI

- Status changed from New to 7

- Assignee set to Eric Davis

- Priority changed from Low to Normal

Could some people with IE test this patch/fork out?  My Windows virtual machines got knocked offline so I can't test this.

#6 - 2009-10-01 10:31 - Brad Neuberg

Eric Davis wrote:

Could some people with IE test this patch/fork out?  My Windows virtual machines got knocked offline so I can't test this.
 You can actually force the Flash renderer on Firefox by adding ?svg.render.forceflash=true. That can help you do QA without IE, though its good to

do a final check on IE as well.

#7 - 2009-10-01 10:32 - Brad Neuberg

Eric Davis wrote:

Could some people with IE test this patch/fork out?  My Windows virtual machines got knocked offline so I can't test this.

 If you post some links I can access I can check them with IE for you.

#8 - 2009-10-01 10:48 - ciaran jessup

Brad Neuberg wrote:

Eric Davis wrote:

Could some people with IE test this patch/fork out?  My Windows virtual machines got knocked offline so I can't test this.

 If you post some links I can access I can check them with IE for you.

 I suspect this will be tricky, I'll try and throw up a test server tonight, but my upstream bandwidth at home is not the greatest !

#9 - 2009-10-10 19:09 - Ian Moss

Ian:This sounds like it would be a useful addition

#10 - 2010-10-25 17:02 - Eric Davis

- Assignee deleted (Eric Davis)

#11 - 2013-01-13 21:04 - Jean-Philippe Lang

- Status changed from 7 to New

Assigned issue with no assignee back to New status.

#12 - 2015-10-04 07:09 - Go MAEDA

- Status changed from New to Closed

Most web browsers except Internet Explorer 8 support SVG. And IE 8 will reach end of life on January 2016. I think we don't have to integrate

SVGWeb into Redmine.

http://caniuse.com/#search=svg

In addition, SVGWeb is not maintained any longer.

https://www.openhub.net/p/svgweb/commits/summary
